package intrinsic.mx.controls;

public class FileSystemList extends intrinsic.mx.controls.List {

	/** Accessors */
	public intrinsic.Array selectedPaths;
	public intrinsic.Array extensions;
	public intrinsic.flash.filesystem.File directory;
	public intrinsic.Array forwardHistory;
	public boolean canNavigateDown;
	public boolean canNavigateForward;
	public intrinsic.Array backHistory;
	public intrinsic.Function filterFunction;
	public String enumerationMode;
	public String selectedPath;
	public intrinsic.Function nameCompareFunction;
	public boolean showHidden;
	public boolean canNavigateBack;
	public boolean showExtensions;
	public boolean showIcons;
	public boolean canNavigateUp;

	/** Variables */
	public double editorYOffset;
	public double editorWidthOffset;
	public intrinsic.mx.core.IFactory itemEditor;
	public boolean editable;
	public boolean editorUsesEnterKey;
	public String editorDataField;
	public double editorHeightOffset;
	public intrinsic.mx.controls.listClasses.IListItemRenderer itemEditorInstance;
	public boolean rendererIsEditor;
	public double editorXOffset;
	public boolean allowDragSelection;
	public boolean menuSelectionMode;
	public boolean liveScrolling;
	public boolean showScrollTips;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";
	public static final intrinsic.flash.filesystem.File COMPUTER = null;

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public FileSystemList() {
}


/** Static Methods */

/** Methods */
public native void clear();
public native void navigateBack();
public native void navigateBack(int arg0);
public native int findIndex(String arg0);
public native intrinsic.flash.filesystem.File findItem(String arg0);
public native void resetHistory(intrinsic.flash.filesystem.File arg0);
public native void navigateForward();
public native void navigateForward(int arg0);
public native void navigateTo(intrinsic.flash.filesystem.File arg0);
public native void navigateDown();
public native void navigateUp();
public native String itemToDataTip(Object arg0);
public native void styleChanged(String arg0);
public native void refresh();

}
